## featherpad 0.10.0

=== featherpad/CMakeLists.txt ===
set(QT_MINIMUM_VERSION "5.7.1")

find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Network "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5PrintSupport "${QT_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt5LinguistTools QUIET)

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
  find_package(X11 REQUIRED)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# for the old code; not needed anymore
#find_package(MAGIC_INCLUDE_DIR magic.h)
#find_library(MAGIC_LIBRARY magic $ENV{MAGIC_LIB_PATH})

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${Qt5Network_INCLUDE_DIRS}
                      ${Qt5PrintSupport_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR})
  add_definitions(-DHAS_X11)
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5Network_INCLUDE_DIRS}
                      ${Qt5PrintSupport_INCLUDE_DIRS})
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app")
elseif(UNIX)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(featherpad_SRCS
    main.cpp
    singleton.cpp
    fpwin.cpp
    encoding.cpp
    tabwidget.cpp
    lineedit.cpp
    textedit.cpp
    tabbar.cpp
    highlighter.cpp
    find.cpp
    replace.cpp
    pref.cpp
    config.cpp
    brackets.cpp
    syntax.cpp
    highlighter-sh.cpp
    highlighter-html.cpp
    highlighter-patterns.cpp
    highlighter-jsregex.cpp
    vscrollbar.cpp
    loading.cpp
    tabpage.cpp
    searchbar.cpp
    session.cpp
    sidepane.cpp
    svgicons.cpp)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
endif()

set(featherpad_RESOURCES data/fp.qrc)
set(DESKTOP_FILE data/featherpad.desktop)
set(ICON_FILE data/featherpad.svg)
set(HELP_FILE data/help)
file(GLOB HELP_TR_FILES data/help_*)

if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
else()
  set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
endif()

# translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/featherpad_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}")
  elseif(APPLE)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
  elseif(UNIX)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
  endif()
else(Qt5LinguistTools_FOUND)
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                   ${Qt5Gui_LIBRARIES}
                                   ${Qt5Widgets_LIBRARIES}
                                   ${Qt5Svg_LIBRARIES}
                                   ${Qt5X11Extras_LIBRARIES}
                                   ${Qt5Network_LIBRARIES}
                                   ${Qt5PrintSupport_LIBRARIES}
                                   ${X11_LIBRARIES})
else()
  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                   ${Qt5Gui_LIBRARIES}
                                   ${Qt5Widgets_LIBRARIES}
                                   ${Qt5Svg_LIBRARIES}
                                   ${Qt5Network_LIBRARIES}
                                   ${Qt5PrintSupport_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
elseif(UNIX)
  # make symlink
  add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # install symlink
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif()

## featherpad 0.6+git20170725

=== debian/changelog ===
featherpad (0.6+git20170725-1mx15) mx; urgency=low

  * Initial packaging.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 25 Jul 2017 11:31:58 -0700

=== debian/control ===
Source: featherpad
Section: text
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Build-Depends: debhelper (>=9),
 qtbase5-dev,
 libqt5x11extras5-dev,
 libqt5svg5-dev,
 qttools5-dev-tools,
 libx11-dev,
 libxext-dev,
Standards-Version: 3.9.7
Homepage: https://github.com/tsujan/FeatherPad

Package: featherpad
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and has:
 .
 - Drag-and-drop support, including tab detachment and attachment;
 - X11 virtual desktop awareness (using tabs on current desktop but opening a
   new window on another);
 - An optionally permanent search-bar with a different search entry for
   each tab;
 - Instant highlighting of found matches when searching;
 - A docked window for text replacement;
 - Support for showing line numbers and jumping to a specific line;
 - Automatic detection of text encoding as far as possible and optional saving
   with encoding;
 - Syntax highlighting for common programming languages;
 - Printing;
 - Text zooming;
 - Appropriate but non-interrupting prompts;
   plus other features that can be found in its settings, on its menus or when
   it is actually used.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

%:
	dh $@ --parallel

## featherpad 0.8

=== debian/changelog ===
featherpad (0.8-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.8.
  * Relaxed dh version and make it backport friendly
  * Fixed not canonical VCS link

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Mar 2018 18:10:37 +0200

featherpad (0.7-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.7.
  * Initial release. (Closes: #869730)

 -- Alf Gaida <agaida@siduction.org>  Thu, 18 Jan 2018 17:21:10 +0100

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper (>= 11~),
               qtbase5-dev,
               qt5-qmake,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: qttranslations5-l10n
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

## featherpad 0.9~82-gc86a6fc

=== debian/changelog ===
featherpad (0.9~82-gc86a6fc) unstable; urgency=medium

  * New snapshot: V0.8-82-gc86a6fc

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 May 2018 13:58:15 +0200

featherpad (0.9~72-gbbc9c5a-1) unstable; urgency=medium

  * New snapshot: V0.8-72-gbbc9c5a

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 May 2018 22:19:33 +0200

featherpad (0.9~71-g10d5707-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-71-g10d5707

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 May 2018 12:12:28 +0200

featherpad (0.9~70-g0adc0a4-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-70-g0adc0a4

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 May 2018 01:24:45 +0200

featherpad (0.9~68-g7286e5f-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-68-g7286e5f

 -- Alf Gaida <agaida@siduction.org>  Thu, 10 May 2018 14:02:25 +0200

featherpad (0.9~66-g7c1ac83-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-66-g7c1ac83

 -- Alf Gaida <agaida@siduction.org>  Thu, 10 May 2018 04:52:56 +0200

featherpad (0.9~62-g4be63fd-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-62-g4be63fd

 -- Alf Gaida <agaida@siduction.org>  Wed, 09 May 2018 22:19:06 +0200

featherpad (0.9~46-gaa6e535-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-46-gaa6e535

 -- Alf Gaida <agaida@siduction.org>  Wed, 02 May 2018 01:59:25 +0200

featherpad (0.9~45-g82fafe6-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-45-g82fafe6

 -- Alf Gaida <agaida@siduction.org>  Tue, 01 May 2018 02:34:18 +0200

featherpad (0.9~39-gd62dcf8-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-39-gd62dcf8

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 14:58:26 +0200

featherpad (0.9~34-gf663eac-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-34-gf663eac

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 17:37:16 +0200

featherpad (0.9~32-g4c8a0ae-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-32-g4c8a0ae

 -- Alf Gaida <agaida@siduction.org>  Fri, 27 Apr 2018 17:27:44 +0200

featherpad (0.9~29-gccdb2f5-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-29-gccdb2f5

 -- Alf Gaida <agaida@siduction.org>  Thu, 26 Apr 2018 19:49:21 +0200

featherpad (0.9~28-g3ab4ca3-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-28-g3ab4ca3

 -- Alf Gaida <agaida@siduction.org>  Wed, 25 Apr 2018 18:15:27 +0200

featherpad (0.9~27-gb3fefc1-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-27-gb3fefc1

 -- Alf Gaida <agaida@siduction.org>  Tue, 24 Apr 2018 00:34:35 +0200

featherpad (0.9~24-g33f37c2-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-24-g33f37c2

 -- Alf Gaida <agaida@siduction.org>  Fri, 20 Apr 2018 21:57:44 +0200

featherpad (0.9~21-g23906a1-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-21-g23906a1

 -- Alf Gaida <agaida@siduction.org>  Thu, 19 Apr 2018 00:30:47 +0200

featherpad (0.9~12-gcf863d6-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-12-gcf863d6

 -- Alf Gaida <agaida@siduction.org>  Sat, 14 Apr 2018 02:24:02 +0200

featherpad (0.9~2-ge3ce190-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.8-2-ge3ce190

 -- Alf Gaida <agaida@siduction.org>  Fri, 06 Apr 2018 18:53:41 +0200

featherpad (0.8.0-0) experimental-snapshots; urgency=medium

  * New snapshot: V0.8

 -- Alf Gaida <agaida@siduction.org>  Fri, 30 Mar 2018 17:54:25 +0200

featherpad (0.7.1~82-g926298b-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-82-g926298b

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Mar 2018 00:37:18 +0200

featherpad (0.7.1~54-g7c200d3-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-54-g7c200d3

 -- Alf Gaida <agaida@siduction.org>  Wed, 28 Feb 2018 18:54:25 +0100

featherpad (0.7.1~53-g429adce-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-53-g429adce

 -- Alf Gaida <agaida@siduction.org>  Sun, 25 Feb 2018 16:52:42 +0100

featherpad (0.7.1~51-g11ffa87-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-51-g11ffa87

 -- Alf Gaida <agaida@siduction.org>  Fri, 23 Feb 2018 22:02:21 +0100

featherpad (0.7.1~50-g6038130-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-50-g6038130

 -- Alf Gaida <agaida@siduction.org>  Tue, 20 Feb 2018 22:03:25 +0100

featherpad (0.7.1~49-gdd106b7-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-49-gdd106b7

 -- Alf Gaida <agaida@siduction.org>  Sun, 18 Feb 2018 01:21:05 +0100

featherpad (0.7.1~48-g7e8f884-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-48-g7e8f884

 -- Alf Gaida <agaida@siduction.org>  Fri, 16 Feb 2018 20:37:59 +0100

featherpad (0.7.1~45-g4fb2c09-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-45-g4fb2c09

 -- Alf Gaida <agaida@siduction.org>  Wed, 14 Feb 2018 18:42:02 +0100

featherpad (0.7.1~38-g9a84354-2) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-40-g25e0a99

 -- Alf Gaida <agaida@siduction.org>  Sun, 11 Feb 2018 14:33:29 +0100

featherpad (0.7.1~38-g9a84354-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-38-g9a84354

 -- Alf Gaida <agaida@siduction.org>  Sat, 10 Feb 2018 18:20:56 +0100

featherpad (0.7.1~37-g38933ad-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-37-g38933ad
  * drop creation of symlink to fpad - now upstream

 -- Alf Gaida <agaida@siduction.org>  Sat, 10 Feb 2018 01:30:28 +0100

featherpad (0.7.1~34-gd7ea94e-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-34-gd7ea94e

 -- Alf Gaida <agaida@siduction.org>  Wed, 07 Feb 2018 20:29:44 +0100

featherpad (0.7.1~28-g20b314a-1) experimental-snapshots; urgency=medium

  * New snapshot: V0.7-28-g20b314a

 -- Alf Gaida <agaida@siduction.org>  Tue, 06 Feb 2018 23:33:25 +0100

featherpad (0.7.1~6-g2d46e3b-1) experimental-snapshots; urgency=medium



=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libqt5svg5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
 Homepage: https://github.com/tsujan/featherpad

## featherpad 0.9.0

=== debian/changelog ===
featherpad (0.9.0-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.9.0.
  * Bumped Standards-Version to 4.1.4, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Wed, 23 May 2018 23:18:29 +0200

## featherpad 0.9.1

=== debian/changelog ===
featherpad (1:0.9.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - The window title is set to the whole file path, including the file name.
    - The line number strip is enhanced.
    - Tab switch shortcuts can be customized now.
    - The warning bar is shown as a translucent layer over the tab widget with
      animation.
    - A shortcut is added for activating the last active tab.
    - "gio" is tried first for opening hyperlinks because Qt may resort to
      "xdg-open", which isn't always a good choice.
    - A workaround is added for a new bug in KDE's file dialog.
    - Compilation without X11 is possible with qmake WITHOUT_X11=YES. Also, Haiku
      OS is supported.
    - Several fixes and improvements.

  * Drop gcc-6_FTBFS.patch, fixed upstream.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 12 Oct 2018 13:24:45 -0700

featherpad (1:0.9.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper compat 10.
  * Add gcc-6_FTBFS.patch.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 May 2018 10:55:06 -0700

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qt5-qmake,
                libx11-dev,
@@ -11,7 +12,7 @@
                libqt5x11extras5-dev,
                libqt5svg5-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git

## featherpad 0.9.2

=== debian/changelog ===
featherpad (1:0.9.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release:
    - Extra CPU time that was taken by bracket matching (and could have been
      tangible with weaker CPUs) is fixed.
    - Fixed tab DND when there is a root instance.
    - Used our standard URL pattern also with changelog syntax highlighting.
    - Added an option to remember the window position (disabled by default).
    - Added actions for sorting selected lines.
    - When copying the file path to the clipboard, include its name too.
    - Removed an old workaround for KDE's clipboard because it wasn't needed
      anymore and could cause a delay on startup.
    - Show status bar by default.
    - Fixed some typos (thanks to flopp at GitHub).
    - Better translations (thanks to all translators).

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Dec 2018 14:27:58 -0800

## featherpad 0.9.2+git20190130

=== debian/changelog ===
featherpad (1:0.9.2+git20190130-0.1~mx17+1) mx; urgency=medium

  * New pull from git.
    - updated translations.
    - non-text files disabled by default.
    - transitory warning bar shown when running as root.

  * Add fix-gcc-6-build.patch to solve a FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 30 Jan 2019 14:35:09 -0800

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DH_VERBOSE=1

export QT_SELECT = 5
# export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

## featherpad 0.9.3

=== debian/changelog ===
featherpad (0.9.3-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.9.3.
  * Bumped copyright years
  * Replaced compat and debhelper with debhelper-compat (>=12)
  * Removed the featherpad-l10n recommendation, the package is
    not splitted yet

 -- Alf Gaida <agaida@siduction.org>  Wed, 06 Feb 2019 00:08:52 +0100

featherpad (0.9.2-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.9.2.
  * Bumped Standards-Version to 4.3.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Mon, 31 Dec 2018 16:59:00 +0100

featherpad (0.9.1-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.9.1.
  * Bumped Standards-Version to 4.2.1, no changes needed
  * Added debian/clean
  * Added debian/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Thu, 11 Oct 2018 00:40:45 +0200

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qt5-qmake,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: libglib2.0-bin
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.

## featherpad 0.9.4

=== debian/changelog ===
featherpad (1:0.9.4-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add the usual epoch.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 25 Feb 2019 16:42:48 -0800

featherpad (0.9.4-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.9.4.

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 03:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 10.2),
                qtbase5-dev,
                qt5-qmake,
                libx11-dev,

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## featherpad 0.10.0

=== debian/changelog ===
featherpad (0.10.0-1~mx19+1) mx; urgency=medium

  * Rebuild for MX-19
  * Remove unnecessary epoch

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 26 Jul 2019 15:31:34 -0400

featherpad (1:0.10.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add epoch to sync with our version.
  * Drop to debhelper 10 compat to ease backports.
  * Disable automatic dbgsym packages.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 20 May 2019 15:37:41 -0700

featherpad (0.10.0-1) experimental; urgency=medium

  * Cherry-picked upstream release V0.10.0.
  * Switched to experimental
  * Upstream fixed copying content from featherpad
    (Closes: #927403)

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 May 2019 01:07:12 +0200

featherpad (0.9.4-2) unstable; urgency=medium

  * Added recommendation qttranslations5-l10n
    (Closes: #923687)

 -- Alf Gaida <agaida@siduction.org>  Sun, 03 Mar 2019 22:22:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper (>= 10.2),
+Build-Depends: debhelper (>= 10),
                qtbase5-dev,
                qt5-qmake,
                libx11-dev,
@@ -22,7 +22,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Recommends: libglib2.0-bin
+Recommends: libglib2.0-bin,
+            qttranslations5-l10n
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

## featherpad 0.11.1

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
 set(QT_MINIMUM_VERSION "5.7.1")
+set(HUNSPELL_MINIMUM_VERSION "1.6")
+
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
@@ -6,6 +9,9 @@
 find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5Network "${QT_MINIMUM_VERSION}" REQUIRED)
 find_package(Qt5PrintSupport "${QT_MINIMUM_VERSION}" REQUIRED)
+
+# for spell checking (see FindHUNSPELL.cmake)
+find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
 
 # optional localization
 find_package(Qt5LinguistTools QUIET)
@@ -34,7 +40,8 @@
                       ${Qt5X11Extras_INCLUDE_DIRS}
                       ${Qt5Network_INCLUDE_DIRS}
                       ${Qt5PrintSupport_INCLUDE_DIRS}
-                      ${X11_INCLUDE_DIR})
+                      ${X11_INCLUDE_DIR}
+                      ${HUNSPELL_INCLUDE_DIRS})
   add_definitions(-DHAS_X11)
 else()
   include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
@@ -43,7 +50,8 @@
                       ${Qt5Widgets_INCLUDE_DIRS}
                       ${Qt5Svg_INCLUDE_DIRS}
                       ${Qt5Network_INCLUDE_DIRS}
-                      ${Qt5PrintSupport_INCLUDE_DIRS})
+                      ${Qt5PrintSupport_INCLUDE_DIRS}
+                      ${HUNSPELL_INCLUDE_DIRS})
 endif()
 
 if(HAIKU)
@@ -73,14 +81,18 @@
     highlighter-sh.cpp
     highlighter-html.cpp
     highlighter-patterns.cpp
-    highlighter-jsregex.cpp
+    highlighter-regex.cpp
+    highlighter-perl-regex.cpp
     vscrollbar.cpp
     loading.cpp
     tabpage.cpp
     searchbar.cpp
     session.cpp
+    fontDialog.cpp
     sidepane.cpp
-    svgicons.cpp)
+    svgicons.cpp
+    spellChecker.cpp
+    spellDialog.cpp)
 
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
   set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
@@ -122,14 +134,16 @@
                                    ${Qt5X11Extras_LIBRARIES}
                                    ${Qt5Network_LIBRARIES}
                                    ${Qt5PrintSupport_LIBRARIES}
-                                   ${X11_LIBRARIES})
+                                   ${X11_LIBRARIES}
+                                   ${HUNSPELL_LIBRARIES})
 else()
   target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                    ${Qt5Gui_LIBRARIES}
                                    ${Qt5Widgets_LIBRARIES}
                                    ${Qt5Svg_LIBRARIES}
                                    ${Qt5Network_LIBRARIES}
-                                   ${Qt5PrintSupport_LIBRARIES})
+                                   ${Qt5PrintSupport_LIBRARIES}
+                                   ${HUNSPELL_LIBRARIES})
 endif()
 
 # installation

=== debian/changelog ===
featherpad (0.11.1-2) unstable; urgency=medium

  * Switched to gbp

 -- Alf Gaida <agaida@siduction.org>  Thu, 05 Sep 2019 19:01:41 +0200

featherpad (0.11.1-1) unstable; urgency=medium

  * Cherry-picked upstream release V0.11.1.
  * Added build dependency libhunspell-dev
  * Bumped Standards-Version to 4.4.0, no changes needed
  * Split package into featherpad and featherpad-l10n (Closes: #910769)
  * Removed 291-support-hurd.patch to fix FTBFS on the Hurd, applied upstream.

 -- Alf Gaida <agaida@siduction.org>  Thu, 15 Aug 2019 22:26:00 +0200

featherpad (0.10.0-3) unstable; urgency=medium

  * Added 291-support-hurd.patch to fix FTBFS on the Hurd.

 -- Alf Gaida <agaida@siduction.org>  Fri, 19 Jul 2019 22:12:02 +0200

featherpad (0.10.0-2) unstable; urgency=medium

  * Switch to unstable - freeze is over.

 -- Alf Gaida <agaida@siduction.org>  Wed, 10 Jul 2019 22:00:21 +0200

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qt5-qmake,
               libhunspell-dev,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: featherpad-l10n,
            libglib2.0-bin
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

## featherpad 0.12.0

=== debian/changelog ===
featherpad (0.12.0-0.1~mx19+1) mx; urgency=medium

  * New upstream release: 
    - Removed useless options related to icons.
    - Added an option for a single shared search history.
    - Don't replace double hyphens with em dashes in programming texts.
    - Also replace "->", "<-", ">=" and "<=" with "→", "←", "≥" and "≤",
      respectively, in non-programming texts.
    - Mark encoded and unencoded ampersands in HTML.
    - Set the limit of highlighting the syntax of a line to 10,000 characters.
    - Allow shortcut removal.
    - Added "Save All Files" for saving modifications to all files that are open
      inside a window.
    - Added mnemonics to the close prompt dialog.
    - Added support for Dart syntax highlighting.
    - Better JS, YAML and Markdown syntax highlighting.
    - Added a menu item to open the user dictionary.
    - Fixed a minor problem in backward search and replacement.
    - On triple clicking, select the current block without selecting its newline
      and start and end whitespaces.
    - Fixes for RTL, including a workaround for a Qt bug.
    - Added a (temporary) workaround for the text rendering bug of Qt 5.14.0.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 02 Jan 2020 14:34:16 -0800

featherpad (0.11.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * Add dictionaries as Depends for spellcheck function.
  * Add minimum version of libhunspell-dev B-D.
  * Implement Breaks for older version to fix upgrade.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 16 Aug 2019 16:16:43 -0700

## featherpad 0.12.1

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -56,8 +56,6 @@
 
 if(HAIKU)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
-elseif(APPLE)
-  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app")
 elseif(UNIX)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 endif()
@@ -118,7 +116,7 @@
   if(HAIKU)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}")
   elseif(APPLE)
-    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
+    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
   elseif(UNIX)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
   endif()
@@ -152,9 +150,12 @@
   install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
   install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
 elseif(APPLE)
-  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
-  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
-  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}.app/featherpad")
+  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_FILE})
+  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_TR_FILES})
+  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/help)
+  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_TR_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/helps)
+  SET_TARGET_PROPERTIES(featherpad PROPERTIES MACOSX_BUNDLE TRUE)
+  INSTALL(TARGETS featherpad DESTINATION ${CMAKE_INSTALL_PREFIX})
 elseif(UNIX)
   # make symlink
   add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

=== debian/changelog ===
featherpad (1:0.12.1-1~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add minimum versions required for Qt 5 and hunspell dev packages.
  * Add myspell-en-us | hunspell-dictionary | myspell-dictionary as dependency.
  * Make recommended packages into depends for MX.
  * Add epoch for MX 17 builds.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Feb 2020 18:14:49 -0800

featherpad (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1

 -- Alf Gaida <agaida@siduction.org>  Sat, 18 Jan 2020 15:39:49 +0100

featherpad (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * Switched to gbp
  * Bumped Standards to 4.4.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 07 Jan 2020 04:40:18 +0100

=== debian/control ===
Source: featherpad
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev (>= 5.6),
               qt5-qmake (>= 5.6),
               libhunspell-dev (>= 1.6),
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev (>= 5.6),
               libqt5svg5-dev (>= 5.6),
               qttools5-dev (>= 5.6),
               qttools5-dev-tools (>= 5.6)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-bin,
         myspell-en-us | hunspell-dictionary | myspell-dictionary,
         featherpad-l10n
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: featherpad (<< 0.12.1)
Replaces: featherpad (<< 0.12.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

## featherpad 0.13.1

=== debian/changelog ===
featherpad (0.13.1-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.13.1:
    - Now, FeatherPad doesn't suggest the last file extension when saving a
      newly created doc.
    - Changes from 0.13.0:
      - The main change in this release is the support for syntax color
        customization, with separate settings for light and dark backgrounds.
        Also, the color value of whitespaces can be customized, in case they're
        shown.
      - Allow dash and some other characters in URLs.
      - Considered extra cases of valid ampersands in HTML.
      - Yet smarter Shift+Enter with alphabetical lists.
      - Removed QCoreApplication::processEvents() to prevent a rare crash.
      - Remember cursor's horizontal pixel position before Backspace/Enter and
        restore it after Down/Up. (This feature was removed from Qt 5.14.1 with
        Backspace, probably due to a regression.)
      - A few other fixes.

  * debian/featherpad-l10n.install: fix name of Japanese help file.
  * debian/control: minimum of Qt 5.9 is now required.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 12 Apr 2020 07:50:42 -0700

featherpad (0.12.1-1~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add minimum versions required for Qt 5 and hunspell dev packages.
  * Add myspell-en-us | hunspell-dictionary | myspell-dictionary as dependency.
  * Make recommended packages into depends for MX.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 24 Feb 2020 18:14:49 -0800

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               qtbase5-dev (>= 5.6),
-               qt5-qmake (>= 5.6),
+               qtbase5-dev (>= 5.9),
+               qt5-qmake (>= 5.9),
                libhunspell-dev (>= 1.6),
                libx11-dev,
                libxext-dev,
-               libqt5x11extras5-dev (>= 5.6),
-               libqt5svg5-dev (>= 5.6),
-               qttools5-dev (>= 5.6),
-               qttools5-dev-tools (>= 5.6)
+               libqt5x11extras5-dev (>= 5.9),
+               libqt5svg5-dev (>= 5.9),
+               qttools5-dev (>= 5.9),
+               qttools5-dev-tools (>= 5.9)
 Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git

## featherpad 0.14.1

=== debian/changelog ===
featherpad (0.14.1-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.14.1:
    - fix a small miscalculation in highlighting of mult-iline CSS values.
    - Changes from 0.14.0:
      - Speed up syntax highlighting, especially for big documents. In some
        cases, (e.g., with HTML, XML, CSS, Bash or Perl), the job is done
        multiple times faster.
      - fix a bug in handling relative file paths that contain no slash.
      - JavaScript template literals (back quotes) are supported.
      - CSS syntax highlighting is fixed and improved.
      - various other small fixes.

  * debian/rules and /control:
    - Switch to cmake buildsystem.
    - Drop qmake-qt5 build-dep; qtbase5-dev already pulls it in.
    - Add pkg-config build-dep.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 12 May 2020 14:18:40 -0700

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Uploaders: Alf Gaida <agaida@siduction.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: cmake  (>= 3.0),
+               debhelper-compat (= 12),
                qtbase5-dev (>= 5.9),
-               qt5-qmake (>= 5.9),
                libhunspell-dev (>= 1.6),
                libx11-dev,
                libxext-dev,
                libqt5x11extras5-dev (>= 5.9),
                libqt5svg5-dev (>= 5.9),
+               pkg-config,
                qttools5-dev (>= 5.9),
                qttools5-dev-tools (>= 5.9)
 Standards-Version: 4.4.1

## featherpad 0.14.2

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -77,6 +77,7 @@
     brackets.cpp
     syntax.cpp
     highlighter-sh.cpp
+    highlighter-css.cpp
     highlighter-html.cpp
     highlighter-patterns.cpp
     highlighter-regex.cpp

=== debian/changelog ===
featherpad (0.14.2-0.1~mx19+1) mx; urgency=medium

  * New upstream version 0.14.2:
    - Overrode Qt's default behavior with the Home key.
    - Fixed a bug that allowed cutting of read-only texts.
    - Don't mistake a (commented) Yaml note followed by a colon with a Yaml key.
    - Considered the single quote in CSS values.
    - Highlight JavaScript's hash-bang (don't mistake it with a regex).
    - Updated the code for Qt 5.15.

  * Updated debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 13 Jun 2020 10:59:00 -0700

## featherpad 0.15.0

=== debian/changelog ===
featherpad (0.15.0-0.1~mx19+1) mx; urgency=medium

  * Import new 0.15.0 release:
    - Added optional selection highlighting (without interfering with search
      highlighting).
    - Fixed a small bug in search highlighting with tab DND/detachment.
    - Added simple Haxe highlighting (by using JS codes).
    - Fixed multiline "<…/>" in JS.
    - Disabled the RTL workaround when lines aren't wrapped.
    - Don't clear replacement highlights when the window is minimized.
    - Always truncate absurdly huge lines in uneditable documents.
    - Fixed a problem in the state of the language button after toggling syntax
      highlighting.
    - Fixed a rare case, where the text's format and highlight weren't updated.
      The fix also simplifies the code.
    - Highlight only the first 1000 replacements if there are more.
    - Added an item (to the Edit menu as well as the context menu) for
      converting all text tabs to spaces.
    - Added an option to paste file paths instead of files (by default,
      FeatherPad opens pasted files).

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Sep 2020 13:23:12 -0700

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Priority: optional
 Build-Depends: cmake  (>= 3.0),
                debhelper-compat (= 12),
-               qtbase5-dev (>= 5.9),
                libhunspell-dev (>= 1.6),
+               libqt5svg5-dev (>= 5.9),
+               libqt5x11extras5-dev (>= 5.9),
                libx11-dev,
                libxext-dev,
-               libqt5x11extras5-dev (>= 5.9),
-               libqt5svg5-dev (>= 5.9),
                pkg-config,
+               qtbase5-dev (>= 5.9),
                qttools5-dev (>= 5.9),
                qttools5-dev-tools (>= 5.9)
 Standards-Version: 4.4.1
@@ -22,11 +22,11 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: featherpad-l10n,
          libglib2.0-bin,
          myspell-en-us | hunspell-dictionary | myspell-dictionary,
-         featherpad-l10n
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a
@@ -38,8 +38,7 @@
 Architecture: all
 Multi-Arch: foreign
 Section: localization
-Depends: ${misc:Depends},
-         qttranslations5-l10n
+Depends: qttranslations5-l10n, ${misc:Depends}
 Breaks: featherpad (<< 0.12.1)
 Replaces: featherpad (<< 0.12.1)
 Description: Language package for featherpad

## featherpad 0.16.0

=== debian/changelog ===
featherpad (0.16.0-0.1~mx19+1) mx; urgency=medium

  * Import new 0.16.0 release:
    - A right-click item is added to tab/side-pane for opening containing
      folder.
    - Natural sorting of items in the side-pane and session dialog.
    - The warning bar disappears when clicked or, automatically, after 10
      seconds.
    - "To Start Case" is added to the case changing actions.
    - The 50-ms delay of format updating is removed because Qt's update requests
      seem appropriate now.
    - Focus the editor's view with the Escape key.
    - Current line highlight is made customizable.
    - The recent files feature can be disabled by setting its number to zero.
    - Added a "standalone" option to the command-line. It's especially useful
      when FeatherPad is chosen as the "git" editor.
    - Fixes and improvements here and there.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Nov 2020 09:05:51 -0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh ${@} --buildsystem=qmake
+	dh ${@} --buildsystem=cmake
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym

## featherpad 0.17.1

=== CMakeLists.txt ===
project(featherpad)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherPad")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  endif()
endif()

option(WITHOUT_X11 "Compiling without X11..." OFF)

add_subdirectory(featherpad)

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(QT_MINIMUM_VERSION "5.7.1")
+set(QT_MINIMUM_VERSION "5.12.0")
 set(HUNSPELL_MINIMUM_VERSION "1.6")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
@@ -84,6 +84,7 @@
     highlighter-perl-regex.cpp
     vscrollbar.cpp
     loading.cpp
+    printing.cpp
     tabpage.cpp
     searchbar.cpp
     session.cpp
@@ -115,7 +116,7 @@
   qt5_add_translation(QM_FILES ${TS_FILES})
   add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
   if(HAIKU)
-    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}")
+    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
   elseif(APPLE)
     SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
   elseif(UNIX)

=== debian/changelog ===
featherpad (0.17.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Thu, 07 Jan 2021 20:24:10 +0800

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               qtbase5-dev,
               qt5-qmake,
               libhunspell-dev,
               libx11-dev,
               libxext-dev,
               libqt5x11extras5-dev,
               libqt5svg5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: featherpad-l10n,
            libglib2.0-bin
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/V?(\d\S+)\.tar\.gz/featherpad-$1\.tar\.gz/ \
  https://github.com/tsujan/featherpad/tags .*/V?(\d\S+)\.tar\.gz
